%global osginame org.apache.felix.resolver

Name:             felix-osgi-obr-resolver
Version:          1.8.0
Release:          3%{?dist}
Summary:          Apache Felix Resolver
License:          ASL 2.0
URL:              http://felix.apache.org/documentation/subprojects/apache-felix-osgi-bundle-repository.html

Source0:          http://www.apache.org/dist/felix/org.apache.felix.resolver-%{version}-source-release.tar.gz

BuildArch:        noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.framework)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires:  mvn(org.easymock:easymock)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
This package contains the Apache Felix Resolver

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{osginame}-%{version}

%pom_remove_plugin :apache-rat-plugin

%pom_change_dep org.osgi:org.osgi.core org.apache.felix:org.apache.felix.framework

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Feb 07 2017 Michael Simacek <msimacek@redhat.com> - 1.8.0-3
- Remove useless apache-rat-plugin

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 28 2015 Mat Booth <mat.booth@redhat.com> - 1.8.0-1
- Update to 1.8.0 release of resolver

* Thu Jun 18 2015 Alexander Kurtakov <akurtako@redhat.com> 1.2.0-1
- Update to 1.2.0 version.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.13.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Mat Booth <mat.booth@redhat.com> - 0.1.0-0.12.Beta1
- Fix BRs

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.11.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.1.0-0.10.Beta1
- Use Requires: java-headless rebuild (#1067528)

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 0.1.0-0.9.Beta1
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.8.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.7.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.1.0-0.6.Beta1
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jul 24 2012 Marek Goldmann <mgoldman@redhat.com> - 0.1.0-0.5.Beta1
- Compile with -target 1.5 or greater, RHBZ#842592

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.4.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Marek Goldmann <mgoldman@redhat.com> 0.1.0-0.3.Beta1
- Enable back OSGi 5 APIs

* Mon Jun 18 2012 Marek Goldmann <mgoldman@redhat.com> 0.1.0-0.2.Beta1
- Fixed spelling issues
- Removed reduntant file

* Thu Jun 14 2012 Marek Goldmann <mgoldman@redhat.com> 0.1.0-0.1.Beta1
- Initial packaging
